<?php
/**
 * Copyright © Aedes Web Solutions. All rights reserved.
 */
namespace Lhv\HirePurchase\Model\Adminhtml\Config;

/**
 * Class PrivateKeyValidator
 */
class PrivateKeyValidator extends \Magento\Framework\App\Config\Value
{
    /**
     * Validate the key before saving
     *
     * @return void
     * @throws \Magento\Framework\Exception\LocalizedException
     */
    public function beforeSave()
    {
        $value = $this->getValue();

        try {
            if (!empty($value)) {
                $this->validate($value);
            }
        } catch (\Exception $e) {
            $field = $this->getFieldConfig();
            $label = $field && is_array($field) ? $field['label'] : 'value';
            $msg = __('LHV hire-purchase: Invalid %1 ', $label);
            throw new \Magento\Framework\Exception\LocalizedException($msg, $e);
        }
    }

    /**
     * Validate the key
     *
     * @param string $value
     * @return void
     * @throws \Exception
     */
    private function validate($value)
    {
        openssl_private_encrypt('validation-test-dummy', $test, openssl_pkey_get_private($value));
    }
}
