<?php
/**
 * Copyright © Aedes Web Solutions. All rights reserved.
 */
namespace Lhv\HirePurchase\Model\Request;

/**
 * Class Builder
 */
abstract class Builder implements BuilderInterface
{
    /**
     * Request field's sort order
     */
    const SORT_ORDER = 'sort_order';

    /**
     * Request field's value
     */
    const VALUE = 'value';

    /**
     * Last element's sort order
     */
    const ORDER_NOT_REQUIRED = 999;

    /**
     * Helper method for populating fields
     *
     * @param int $sortOrder
     * @param string $value
     * @return array
     */
    public function createFieldEntry($sortOrder, $value)
    {
        return [self::VALUE => $value, self::SORT_ORDER => $sortOrder];
    }
}