<?php
/**
 * Copyright © Aedes Web Solutions. All rights reserved.
 */
namespace Lhv\HirePurchase\Observer;

use Magento\Framework\Event\ObserverInterface;

/**
 * Class CheckoutSubmitAllAfter
 */
class CheckoutSubmitAllAfter implements ObserverInterface
{

    /**
     * Keep the quote active until we've returned from LHV
     *
     * @param \Magento\Framework\Event\Observer $observer
     * @return $this
     */
    public function execute(\Magento\Framework\Event\Observer $observer)
    {
        $quote = $observer->getQuote();

        if ($quote->getPayment()->getMethodInstance()->getCode() == \Lhv\HirePurchase\Model\ConfigProvider::LHV_HP_CODE) {
            $quote->setReservedOrderId(null)
                ->setIsActive(true)
                ->save();
        }

        return $this;
    }
}
